POST /v1/automation/workflows/simulate-definition
POST
/v1/automation/workflows/simulate-definitionAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsondefinitionanyrequiredmock_outputsobjecttriggerSimulateTriggerInputShow propertiesHide properties
event_typestringrequiredpayloadanyrequiredResponses
200OK
errorsstring[] | nullselected_outcomesobjectvalidbooleanrequiredvisited_nodesstring[] | nulldefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/automation/workflows/simulate-definition" \
-H "Content-Type: application/json" \
-d '{
"definition": "string",
"mock_outputs": {},
"trigger": {
"event_type": "string",
"payload": "string"
}
}'const response = await fetch("/v1/automation/workflows/simulate-definition", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"definition": "string",
"mock_outputs": {},
"trigger": {
"event_type": "string",
"payload": "string"
}
})
});import requests
response = requests.post(
"/v1/automation/workflows/simulate-definition",
headers={
"Content-Type": "application/json"
},
json={
"definition": "string",
"mock_outputs": {},
"trigger": {
"event_type": "string",
"payload": "string"
}
},
)Response
{
"errors": [
"string"
],
"selected_outcomes": {},
"valid": true,
"visited_nodes": [
"string"
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}